<p>title: Pernyataan Switch
description:</p>
<hr />
<p>Pernyataan <code>Switch</code> digunakan untuk menjalankan satu diantara banyak blok kode berdasarkan kecocokan nilai yang dievaluasi.</p>
<pre><code>switch(variabel){
   case a:
      // blok kode A
      break;
   case b:
      // blok kode B
      break;
   ...
   default:
      // blok kode default
}</code></pre>
<p>Pada pernyataan switch nilai variabel akan dievaluasi kecocokannya untuk setiap case, bila ditemukan kecocokan pada salah satu case, maka blok kode pada case tersebut akan dijalankan. Umumnya blok kode pada setiap case diakhiri dengan perintah <code>break;</code> agar program langsung keluar dari blok Pernyataan Switch dan tidak perlu lagi mengecek sisa case di bawahnya.</p>
<p>Apabila tidak ada case yang cocok dengan nilai variabel, maka blok kode pada bagian <code>default</code> yang akan dijalankan.</p>
<h2>Praktek</h2>
<ul>
<li>Perhatikan kode switch pada kolom editor, kira-kira output apa yang akan muncul bila kode tersebut dijalankan? Cek perkiraan Kamu dengan menjalankan kode tersebut.</li>
<li>Nilai apa yang harus Kamu isikan ke dalam variabel <code>$haywan</code> di baris 3 agar program menampilkan gambar manusia?</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/pemilihankondisi-switch"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.       </p>